base64 (dnsjava documentation)
Date: 2013-04-10

org.xbill.DNS.utils

## Class base64

- java.lang.Object
- - org.xbill.DNS.utils.base64

-     public class base64
      extends Object

  Routines for converting between Strings of base64-encoded data and arrays of binary data.
  Author:
    Brian Wellington

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `formatString(byte[] b, int lineLength, String prefix, boolean addClose)` Formats data into a nicely formatted base64 encoded String
    `static byte[]` | `fromString(String str)` Convert a base64-encoded String to binary data
    `static String` | `toString(byte[] b)` Convert binary data to a base64-encoded String

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public static String toString(byte[] b)

      Convert binary data to a base64-encoded String
      Parameters:
        `b` - An array containing binary data
      Returns:
        A String containing the encoded data

    - #### formatString

          public static String formatString(byte[] b,
                            int lineLength,
                            String prefix,
                            boolean addClose)

      Formats data into a nicely formatted base64 encoded String
      Parameters:
        `b` - An array containing binary data
        `lineLength` - The number of characters per line
        `prefix` - A string prefixing the characters on each line
        `addClose` - Whether to add a close parenthesis or not
      Returns:
        A String representing the formatted output

    - #### fromString

          public static byte[] fromString(String str)

      Convert a base64-encoded String to binary data
      Parameters:
        `str` - A String containing the encoded data
      Returns:
        An array containing the binary data, or null if the string is invalid